summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2024-05-06 07:43:14 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-05-11 06:51:49 +0700
commita33d7a139b8b8247df4209f6b814cba62e2d5ea4 (patch)
treebe8128094658fef186409e92639f600f6adb007e /python
parentce1fa0f53215d7ae6ff37af6dc6dcddb93bfa196 (diff)
downloadslackbuilds-a33d7a139b8b8247df4209f6b814cba62e2d5ea4.tar.gz
slackbuilds-a33d7a139b8b8247df4209f6b814cba62e2d5ea4.tar.xz
python/python3-language-data: Updated for version 1.2.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/python3-language-data/python3-language-data.SlackBuild10
-rw-r--r--python/python3-language-data/python3-language-data.info8
2 files changed, 10 insertions, 8 deletions
diff --git a/python/python3-language-data/python3-language-data.SlackBuild b/python/python3-language-data/python3-language-data.SlackBuild
index 47c7d1d0ee..2ecbbf3e34 100644
--- a/python/python3-language-data/python3-language-data.SlackBuild
+++ b/python/python3-language-data/python3-language-data.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for python3-language-data
-# Copyright 2023 Vijay Marcel
+# Copyright 2023-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=python3-language-data
-VERSION=${VERSION:-1.1}
+VERSION=${VERSION:-1.2.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -81,11 +81,13 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-python3 -m build --wheel --no-isolation
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH=/opt/python$PYVER/site-packages
+CFLAGS="SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" python3 -m build --wheel --no-isolation
python3 -m installer --destdir "$PKG" dist/*.whl
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGELOG.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/python/python3-language-data/python3-language-data.info b/python/python3-language-data/python3-language-data.info
index e0d9bf616d..144fe4ac6e 100644
--- a/python/python3-language-data/python3-language-data.info
+++ b/python/python3-language-data/python3-language-data.info
@@ -1,10 +1,10 @@
PRGNAM="python3-language-data"
-VERSION="1.1"
+VERSION="1.2.0"
HOMEPAGE="https://github.com/rspeer/language_data"
-DOWNLOAD="https://pypi.io/packages/source/l/language-data/language_data-1.1.tar.gz"
-MD5SUM="75ea158be78983b0a858e6e157bcfa3a"
+DOWNLOAD="https://pypi.io/packages/source/l/language-data/language_data-1.2.0.tar.gz"
+MD5SUM="c57f62da4b7240d71a47e798342c80ca"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="python3-wheel python3-poetry-core python3-marisa-trie"
+REQUIRES="python3-wheel python3-poetry-core python3-marisa-trie python3-setuptools-opt python3-setuptools-scm-opt"
MAINTAINER="Vijay Marcel"
EMAIL="vijaymarcel@outlook.com"